Skip to main content
GET
/
organizations
/
{organizationId}
/
cluster-options
Get cluster options
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/cluster-options \
  --header 'Authorization: Bearer <token>'
[
  {
    "databaseInstances": [
      {
        "cpu": 4,
        "memory": "16Gi",
        "name": "e2-standard-4"
      }
    ],
    "defaultDatabaseInstance": {
      "cpu": 4,
      "memory": "16Gi",
      "name": "e2-standard-4"
    },
    "defaultNodeInstance": {
      "cpu": 4,
      "memory": "16Gi",
      "name": "e2-standard-4"
    },
    "defaultRegion": {
      "name": "us-east-1",
      "bannedInstances": [
        "t3.medium"
      ],
      "limited": true
    },
    "defaultVpcSubnetRange": "172.20.0.0/19",
    "nodeCountDefault": 20,
    "nodeCountMax": 100,
    "nodeCountMin": 2,
    "nodeInstances": [
      {
        "cpu": 4,
        "memory": "16Gi",
        "name": "e2-standard-4"
      }
    ],
    "provider": "AZURE",
    "regions": [
      {
        "name": "us-east-1",
        "bannedInstances": [
          "t3.medium"
        ],
        "limited": true
      }
    ],
    "defaultPodSubnetRange": "172.21.0.0/19",
    "defaultServicePeeringRange": "172.23.0.0/20",
    "defaultServiceSubnetRange": "172.22.0.0/22"
  }
]

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to get cluster options for.

Query Parameters

provider
enum<string>

The cluster's cloud provider.

Available options:
AWS,
AZURE,
GCP
type
enum<string>
required

The cluster type.

Available options:
DEDICATED,
HYBRID

Response

OK

databaseInstances
object[]
required

The available database instances.

defaultDatabaseInstance
object
required
defaultNodeInstance
object
required
defaultRegion
object
required
defaultVpcSubnetRange
string
required

The default VPC subnet range.

Example:

"172.20.0.0/19"

nodeCountDefault
integer
required

The default number of nodes.

Example:

20

nodeCountMax
integer
required

The maximum number of nodes.

Example:

100

nodeCountMin
integer
required

The minimum number of nodes.

Example:

2

nodeInstances
object[]
required

The available node instances.

provider
enum<string>
required

The cloud provider.

Available options:
AWS,
AZURE,
GCP
Example:

"AZURE"

regions
object[]
required

The available regions.

defaultPodSubnetRange
string

The default pod subnet range.

Example:

"172.21.0.0/19"

defaultServicePeeringRange
string

The default service peering range.

Example:

"172.23.0.0/20"

defaultServiceSubnetRange
string

The default service subnet range.

Example:

"172.22.0.0/22"